View Issue Details

IDProjectCategoryView StatusLast Update
0001085Far ManagerEditorpublic2018-11-09 13:12
ReporterToxaAssigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status newResolutionreopened 
Platformx86OSWindowsOS VersionXP SP2
Product Version 
Target VersionFixed in Version 
Summary0001085: Потеря позиции в строке при проходе через табуляцию
DescriptionПри вертикальном перемещении курсор теряет свою горизонтальную позицию при проходжении над символами табуляции.

Для сравнения, курсор ведёт себя корректно при прохождении строк меньшей длины, если отключена опция [ ] Cursor beyond end of line ([ ] Курсор за пределами строки).
Steps To ReproduceВ редакторе такой текст:
123456789
1<Tab>9
123456789

Курсор находится в первой строке, на 4-й позиции.
Спускаемся на строку ниже — курсор оказывается на 2-й позиции.
Спускаемся на строку ниже — курсор так и остаётся на 2-й позиции, хотя должен был вернуться на 4-ю.
TagsNo tags attached.
Build

Relationships

related to 0001102 new Ctrl-N и Ctrl-E не учитывают табуляцию 

Activities

alexy

2011-02-05 23:04

administrator   bugnote:0006384

Far 1.7 is no longer supported

Issue History

Date Modified Username Field Change
2009-09-29 18:12 Toxa New Issue
2011-02-05 23:04 alexy Note Added: 0006384
2011-02-05 23:04 alexy Status new => closed
2018-11-09 13:11 JohnDoe Relationship added related to 0001102
2018-11-09 13:11 JohnDoe Status closed => new
2018-11-09 13:11 JohnDoe Resolution open => reopened
2018-11-09 13:12 JohnDoe Project Far Manager 1.7x => Far Manager